Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.capabilities
Class LegendURL

    java.lang.Object
      org.deegree.ogcbase.BaseURL
          org.deegree.ogcbase.ImageURL
              org.deegree.ogcwebservices.wpvs.capabilities.LegendURL

    public class LegendURL

extends ImageURL

TODO this class is a COPY of org.deegree.ogcwebservices.wms.capabilities.LegendURL it needs to be moved up!

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Constructor Summary
`LegendURL(int width, int height, String format, URL onlineResource)` Creates a new legendURL object from witdh, height, format and onlineResource.

Method Summary

Methods inherited from class org.deegree.ogcbase.ImageURL
`getHeight, getWidth, setHeight, setWidth, toString`

Methods inherited from class org.deegree.ogcbase.BaseURL
`getFormat, getOnlineResource, setFormat, setOnlineResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LegendURL

    public LegendURL(int width,
                     int height,
                     String format,
                     URL onlineResource)

  Creates a new legendURL object from witdh, height, format and onlineResource.

  Parameters:
    `width` -
    `height` -
    `format` -
    `onlineResource` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org